=== debian/changelog ===
xvidcore (2:1.3.2-9ubuntu1) saucy; urgency=low

  * Use the autotools-dev dh addon to update config.guess/config.sub for
    arm64.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 15 Oct 2013 17:01:13 +0100

xvidcore (2:1.3.2-9) unstable; urgency=low

  * Pass hardened CPPFLAGS to CFLAGS. (Closes: #664512)

 -- Andres Mejia <amejia@debian.org>  Sun, 18 Mar 2012 10:15:39 -0400

xvidcore (2:1.3.2-8) unstable; urgency=low

  * Add in hardened CFLAGS.

 -- Andres Mejia <amejia@debian.org>  Sat, 17 Mar 2012 13:49:24 -0400

xvidcore (2:1.3.2-7) unstable; urgency=low

  * Allow dev package to be multiarch installable.
  * Bump to Standards-Version 3.9.3.

 -- Andres Mejia <amejia@debian.org>  Fri, 16 Mar 2012 18:33:18 -0400

xvidcore (2:1.3.2-6) unstable; urgency=low

  * Convert package to support multiarch library.

 -- Andres Mejia <amejia@debian.org>  Sat, 17 Sep 2011 12:36:05 -0400

xvidcore (2:1.3.2-5) unstable; urgency=low

  * Introduce a debian/confflags file to conditionally disable
    assembly optimizations on certain archs until we introduce flavours.
  * Disable yasm support for kfreebsd-amd64 again, it is known
    to be broken and also disabled in FreeBSD (Closes: #635719).

 -- Fabian Greffrath <fabian+debian@greffrath.com>  Fri, 29 Jul 2011 10:07:49 +0200

xvidcore (2:1.3.2-4) unstable; urgency=low

  * Add patch by Pino Toscano to add support for GNU Hurd as target OS,
    requires running autoconf (Closes: #635662).
  * Extend Build-Depends on yasm to [any-i386 any-amd64].

 -- Fabian Greffrath <fabian+debian@greffrath.com>  Thu, 28 Jul 2011 09:46:20 +0200

xvidcore (2:1.3.2-3) unstable; urgency=low

  * Fix typo to location of LGPL-2 on Debian systems.

 -- Andres Mejia <amejia@debian.org>  Tue, 26 Jul 2011 06:50:31 -0400

xvidcore (2:1.3.2-2) unstable; urgency=low

  [ Fabian Greffrath ]
  * Build-Depend on yasm. A recent enough version is in Debian now and
    the configure script prefers it over nasm.
  
  [ Reinhard Tartler ]
  * document copyright and license of altivec assembler

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 26 Jul 2011 11:02:05 +0200

xvidcore (2:1.3.2-1) unstable; urgency=low

  [ Fabian Greffrath ]
  * Imported Upstream version 1.3.2 (Closes: #531040)
    + dropped the debian/ directory from release tarballs.
    + updated the configure helper scripts.
    + Makefile does not include platform.inc in clean rules anymore.
    + Makefile now shows build infos in the default build rule.

  [ Andres Mejia ]
  * Update to my @debian.org email.
  * Update debian/copyright to reflect licensing of new upstream release.
  * Update debian/copyright to DEP-5 spec.

 -- Andres Mejia <amejia@debian.org>  Mon, 25 Jul 2011 21:07:23 -0400

xvidcore (2:1.3.1-1) UNRELEASED; urgency=low

  [ Fabian Greffrath ]
  * Imported Upstream version 1.3.1
  * Remove configure.in-fix.patch and no-exec-stack-elf32.patch,
    applied upstream.
  * Upstream updated their configure script, so drop autoconf.
  * Update debian/gbp.conf and document filtering in git-import-orig.
  * Fix so-symlink in debian/libxvidcore-dev.links.
  * Simplify the changes to show build options during build.

  [ Andres Mejia ]
  * Show build options during build.
  * Simplify setting of CFLAGS.
  * Bump to Standards-Version 3.9.2.
  * Fix description-synopsis-starts-with-article lintian warnings.
  * Support parallel builds.
  * Enable -O3 instead of -O2.
  * Include Vcs-* entries.
  * Add DM-Upload-Allowed: yes.
  * Include local options to unapply all patches and abort on any upstream
    changes.

 -- Andres Mejia <mcitadel@gmail.com>  Tue, 03 May 2011 18:56:05 -0400

xvidcore (2:1.3.0-1) UNRELEASED; urgency=low

  * Imported Upstream version 1.3.0
  * Use 3.0 (quilt) source format.
  * Refresh build system patches.
  * yasm (> 1.0) is required but not in Debian yet,
    build-depend on nasm (>= 2.0)
  * Avoid running configure in the clean rule.
  * Remove unused lintian overrides.
  * Fix ldconfig-symlink-referencing-wrong-file.
  * Update libxvidcore4.symbols file.
  * Drop build-system-update.patch, use autotools-dev and autoconf
    at build-time instead.
  * Backup and restore build/generic/configure instead of removing it.
  * Really disable the executable bit for GNU-stack for elf32 archs.

 -- Fabian Greffrath <fabian+debian@greffrath.com>  Fri, 25 Feb 2011 11:49:07 +0100

xvidcore (2:1.2.2+debian-3) UNRELEASED; urgency=low

  [ Fabian Greffrath ]
  * Update my e-mail address.
  * Make use of dh --sourcedirectory, instead of overriding all of
    dh_auto_*.
  * Remove ltmain.sh from debian/patches/build-system-update.patch,
    xvidcore does not even use libtool.
  * Update debian/patches/build-system-update.patch with a recent
    autoconf and autotools-dev.

  [ Andres Mejia ]
  * Fix issue where autoconf outputs badly formatted configure script.
  * Update build-system-update.patch description with instructions on
    how to update build system.
  * Update Standards-Version to 3.9.1. No changes needed.

 -- Andres Mejia <mcitadel@gmail.com>  Sat, 11 Sep 2010 15:38:00 -0400

xvidcore (2:1.2.2+debian-2) unstable; urgency=low

  [ Maia Kozheva ]
  * Merged README.Source and README.source.

  [ Reinhard Tartler ]
  * Upload to Debian, Closes: #531040

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 31 Jul 2010 21:52:24 -0400

xvidcore (2:1.2.2+debian-1ubuntu2) maverick; urgency=low

  * Really merge README.Source and README.source now.

 -- Maia Kozheva <sikon@ubuntu.com>  Sat, 05 Jun 2010 18:02:44 +0700

xvidcore (2:1.2.2+debian-1ubuntu1) maverick; urgency=low

  * Merged from debian-unofficial release 2:1.2.2+debian-1, remaining
    Ubuntu changes:
    - Merged README.Source and README.source.

 -- Maia Kozheva <sikon@ubuntu.com>  Sat, 05 Jun 2010 17:47:10 +0700

xvidcore (2:1.2.2+debian-1) unstable; urgency=low

  * Prepare release for Debian.
  * Set appropriate debian-branch default for master branch.
  * Fix Maintainer field and set myself as an uploader.

