=== debian/control ===
Source: xvidcore
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Loïc Martin <loic.martin3@gmail.com>,
           Reinhard Tartler <siretart@tauware.de>,
           Fabian Greffrath <fabian+debian@greffrath.com>,
           Andres Mejia <amejia@debian.org>
Build-Depends: debhelper (>= 8.1.3~),
               yasm (>= 1.0) [any-i386 amd64],
               autoconf, autotools-dev
Standards-Version: 3.9.3
DM-Upload-Allowed: yes
Homepage: http://www.xvid.org/
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/xvidcore.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/xvidcore.git

Package: libxvidcore4
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Open source MPEG-4 video codec (library)
 Xvid (formerly XviD) is an open source MPEG-4 video codec, implementing MPEG-4
 Simple Profile, Advanced Simple Profile, and Advanced Video Coding standards.
 It is written in C with assembler optimizations for quality and speed
 (including MMX, SSE, and 3Dnow! code for i386 and AltiVec for PowerPC), and is
 especially optimized towards offline, multi-pass compression for storage and
 archival purposes.
 .
 This package contains the shared library.

Package: libxvidcore-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libxvidcore4 (= ${binary:Version}),
         ${misc:Depends}
Description: Open source MPEG-4 video codec (development)
 Xvid (formerly XviD) is an open source MPEG-4 video codec, implementing MPEG-4
 Simple Profile, Advanced Simple Profile, and Advanced Video Coding standards.
 It is written in C with assembler optimizations for quality and speed
 (including MMX, SSE, and 3Dnow! code for i386 and AltiVec for PowerPC), and is
 especially optimized towards offline, multi-pass compression for storage and
 archival purposes.
  .
 This package contains the development files.
