=== debian/rules ===
#!/usr/bin/make -f

include debian/confflags

%:
	dh $@ --sourcedirectory=build/generic \
		--parallel --with autotools_dev

override_dh_auto_configure:
	cd build/generic && autoconf
	dh_auto_configure -- $(confflags)
