=== debian/watch ===
version=3
http://www.xvid.org/downloads.html \
http://downloads.xvid.org/downloads/xvidcore-([\d\.]*)\.tar\.gz
