## xvidcore 1.3.3

=== debian/changelog ===
xvidcore (2:1.3.3-1) unstable; urgency=medium

  * Team upload.

  [ Alessio Treglia ]
  * Use the autotools-dev dh addon to update config.guess/config.sub for arm64.
    Thanks to Colin Watson for the report and patch. (Closes: #726428)

  [ Fabian Greffrath ]
  * Imported Upstream version 1.3.3
  * Remove all patches, applied upstream.
  * Remove Andres Mejia from Uploaders list (Closes: #743557).

  [ IOhannes m zmölnig ]
  * Bumped standards version to 3.9.5
  * Removed deprecated "DM-Upload-Allowed"

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 22 Apr 2014 13:11:17 +0200
