=== debian/control ===
--- 
+++ 
@@ -1,17 +1,15 @@
 Source: xvidcore
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Loïc Martin <loic.martin3@gmail.com>,
            Reinhard Tartler <siretart@tauware.de>,
-           Fabian Greffrath <fabian+debian@greffrath.com>,
-           Andres Mejia <amejia@debian.org>
+           Fabian Greffrath <fabian+debian@greffrath.com>
 Build-Depends: debhelper (>= 8.1.3~),
                yasm (>= 1.0) [any-i386 amd64],
-               autoconf, autotools-dev
-Standards-Version: 3.9.3
-DM-Upload-Allowed: yes
+               autoconf,
+               autotools-dev
+Standards-Version: 3.9.5
 Homepage: http://www.xvid.org/
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/xvidcore.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/xvidcore.git
