=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,8 @@
 
 %:
 	dh $@ --sourcedirectory=build/generic \
-		--parallel --with autotools_dev
+		--with autotools_dev \
+		--parallel
 
 override_dh_auto_configure:
 	cd build/generic && autoconf
