=== debian/changelog ===
xvidcore (2:1.3.4-1) unstable; urgency=medium

  * Imported Upstream version 1.3.4
  * Update source download location in debian/copyright and debian/watch.
  * Bump Build-Depends to debhelper (>= 9).
  * Bump Standards-Version to 3.9.6.
  * Refrain from mangling CFLAGS in debian/confflags, move the remainder
    of this file into debian/rules.
  * Remove debian/source/local-options, they are default now.

 -- Fabian Greffrath <fabian@debian.org>  Mon, 29 Jun 2015 09:47:36 +0200
