=== debian/control ===
--- 
+++ 
@@ -4,12 +4,12 @@
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Loïc Martin <loic.martin3@gmail.com>,
            Reinhard Tartler <siretart@tauware.de>,
-           Fabian Greffrath <fabian+debian@greffrath.com>
-Build-Depends: debhelper (>= 8.1.3~),
+           Fabian Greffrath <fabian@debian.org>
+Build-Depends: debhelper (>= 9),
                yasm (>= 1.0) [any-i386 amd64],
                autoconf,
                autotools-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.xvid.org/
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/xvidcore.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/xvidcore.git
