=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,20 @@
 #!/usr/bin/make -f
 
-include debian/confflags
+export DEB_CFLAGS_MAINT_APPEND += $(shell dpkg-buildflags --get CPPFLAGS)
+
+export DEB_HOST_ARCH_CPU ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)
+export DEB_HOST_ARCH_OS  ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
+
+# Explicitely disable Altivec support on powerpc until we introduce flavours
+ifeq ($(DEB_HOST_ARCH_CPU),powerpc)
+	confflags += --disable-assembly
+endif
+
+# Explicitely disable yasm support on kfreebsd, it's broken on 64bit;
+# see: http://www.freebsd.org/cgi/cvsweb.cgi/ports/multimedia/xvid/Makefile?rev=1.36
+ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
+	confflags += --disable-assembly
+endif
 
 %:
 	dh $@ --sourcedirectory=build/generic \
