=== debian/watch ===
version=3
https://labs.xvid.com/source/ \
http://downloads.xvid.org/downloads/xvidcore-([\d\.]*)\.tar\.gz
