## xvidcore 1.3.5

=== debian/changelog ===
xvidcore (2:1.3.5-1) unstable; urgency=medium

  * New upstream version 1.3.5
  * Fix and update debian/watch file.
  * Update Vcs-* to point to salsa.debian.org.
  * Bump debhelper compat to 11.
  * Bump Standards-Version to 4.1.3.
  * Enable all hardening flags.
  * Remove trailing whitespace from debian/changelog.

 -- Fabian Greffrath <fabian@debian.org>  Sun, 28 Jan 2018 21:45:50 +0100
