=== debian/control ===
--- 
+++ 
@@ -5,14 +5,12 @@
 Uploaders: Loïc Martin <loic.martin3@gmail.com>,
            Reinhard Tartler <siretart@tauware.de>,
            Fabian Greffrath <fabian@debian.org>
-Build-Depends: debhelper (>= 9),
-               yasm (>= 1.0) [any-i386 amd64],
-               autoconf,
-               autotools-dev
-Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 11~),
+               yasm (>= 1.0) [any-i386 amd64]
+Standards-Version: 4.1.3
 Homepage: http://www.xvid.org/
-Vcs-Git: git://anonscm.debian.org/pkg-multimedia/xvidcore.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/xvidcore.git
+Vcs-Git: https://salsa.debian.org/multimedia-team/xvidcore.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/xvidcore
 
 Package: libxvidcore4
 Architecture: any
