## xvidcore 1.3.6

=== debian/changelog ===
xvidcore (2:1.3.6-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1

  [ Fabian Greffrath ]
  * New upstream version 1.3.6
  * Remove patches, applied upstream.

 -- Fabian Greffrath <fabian@debian.org>  Thu, 19 Dec 2019 21:08:30 +0100

xvidcore (2:1.3.5-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Change Format URL to correct one

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

  [ Fabian Greffrath ]
  * Define a standard ELF .text section in ASM code,
    instead of .rotext (Closes: #941559).
  * Bump Standards-Version to 4.4.0.
  * Bump debhelper-compat to 12.
  * Add Rules-Requires-Root: no.
  * Add Build-Depends-Package line to symbols file.
  * Fix invalid control statement in debian/control.
  * Install examples in ibxvidcore-dev package.

 -- Fabian Greffrath <fabian@debian.org>  Thu, 03 Oct 2019 21:38:53 +0200
