=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: xvidcore
 Section: libs
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Loïc Martin <loic.martin3@gmail.com>,
            Reinhard Tartler <siretart@tauware.de>,
            Fabian Greffrath <fabian@debian.org>
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                yasm (>= 1.0) [any-i386 amd64]
-Standards-Version: 4.1.3
+Standards-Version: 4.4.1
 Homepage: http://www.xvid.org/
 Vcs-Git: https://salsa.debian.org/multimedia-team/xvidcore.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/xvidcore
+Rules-Requires-Root: no
 
 Package: libxvidcore4
 Architecture: any
@@ -41,5 +42,5 @@
  (including MMX, SSE, and 3Dnow! code for i386 and AltiVec for PowerPC), and is
  especially optimized towards offline, multi-pass compression for storage and
  archival purposes.
-  .
+ .
  This package contains the development files.
