=== vfw/bin/Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 # Requires GNU Make because of shell expansion performed at a bad time with
 # other make programs (even using := variable assignments)
 #
-# $Id: Makefile,v 1.4 2005/04/04 23:49:37 edgomez Exp $
+# $Id: Makefile,v 1.7 2008-12-15 10:22:07 Isibaar Exp $
 ##############################################################################
 
 include sources.inc
@@ -24,8 +24,8 @@
 # Constants which should not be modified
 # The `mingw-runtime` package is required when building with -mno-cygwin
 CFLAGS += -I$(SRC_DIR)/w32api -I$(LOCAL_XVID_SRCTREE)
-CFLAGS += -D_WIN32_IE=0x0500
 CFLAGS += -mno-cygwin
+CFLAGS += -D_WIN32_IE=0x0501
 
 ##############################################################################
 # Optional Compiler options
@@ -36,7 +36,6 @@
 CFLAGS += -fstrength-reduce
 CFLAGS += -finline-functions
 CFLAGS += -fgcse
-CFLAGS += -freduce-all-givs
 CFLAGS += -ffast-math
 
 ##############################################################################
