=== debian/changelog ===
xvidcore (2:1.3.7-1) unstable; urgency=medium

  * New upstream version 1.3.7
  * Change Homepage field to point to the Xvid Labs
    Open Source Projects page.
  * Bump Standards-Version to 4.5.0.

 -- Fabian Greffrath <fabian@debian.org>  Sat, 15 Feb 2020 23:02:20 +0100
