=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
            Fabian Greffrath <fabian@debian.org>
 Build-Depends: debhelper-compat (= 12),
                yasm (>= 1.0) [any-i386 amd64]
-Standards-Version: 4.4.1
-Homepage: http://www.xvid.org/
+Standards-Version: 4.5.0
+Homepage: https://labs.xvid.com/source/
 Vcs-Git: https://salsa.debian.org/multimedia-team/xvidcore.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/xvidcore
 Rules-Requires-Root: no
