=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,9 @@
 #!/usr/bin/make -f
 
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
 export DEB_CFLAGS_MAINT_APPEND += $(shell dpkg-buildflags --get CPPFLAGS)
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed -Wl,--no-undefined
 
 export DEB_HOST_ARCH_CPU ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)
 export DEB_HOST_ARCH_OS  ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
@@ -17,9 +20,7 @@
 endif
 
 %:
-	dh $@ --sourcedirectory=build/generic \
-		--with autotools_dev \
-		--parallel
+	dh $@ --sourcedirectory=build/generic
 
 override_dh_auto_configure:
 	cd build/generic && autoconf
