=== debian/watch ===
version=4
https://labs.xvid.com/source/ \
https://downloads.xvid.com/downloads/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
